+++
title = "Google Account Signup forces you to submit phone number if you use Firefox"
date = "2020-05-12"
author = "Ceda EI"
tags = ["firefox", "google", "privacy", "chrome"]
keywords = ["firefox", "google", "privacy", "chrome"]
description = "Google Account Signup forces you to submit phone number if you use Firefox"
showFullContent = false
+++

A few weeks ago, I needed to create a Google Account since my college teachers have decided to use Google Classroom (yes, they are violating Google's [TOS](https://support.google.com/edu/classroom/answer/6025224) by not using a Google Education Suite.). I have ditched all Google Services quite a long time ago and made my previous account dormant (There are a few YouTube videos hosted with it so I didn't delete it). Thus, I decided to create a new account for the sake of Google Classroom. Started the standard procedure, went to Google, clicked Sign In, clicked Create Account.

![Sign Up Page](/images/google1.webp)

Pretty standard so far. I fill in the details and this is the next page I arrive at.

![Verify your phone number](/images/google2.webp)

Okay, I can't skip this apparently. I am pretty privacy paranoid and I definitely don't want to give my phone number to Google. So, I started thinking why would they need my phone number. The first obvious thought is that they require it for anti-spam. The next thought was if they require it for everybody. I take a screenshot and start ranting about it in a group of friends. One of them tries making an account and this does not show up for him. Weird, I thought. Turns out he was using Google Chrome. Instead after filling in the name and basic details, he is prompted with this page instead.

![Enter details](/images/google3.webp)

I thought, that this might be because of the privacy addons I am using. So, I created a fresh firefox profile with no addons, no history, nothing. Just a stock Firefox browser. Same, still asks me for phone number to verify. I asked the same friend who did not get a request asking for phone number while using Google Chrome to try out via Firefox. Same results for him. I tried Chrome and I wasn't asked for phone number either.

Here is the list of all tried combinations.

| Operating System | Browser  | Location | Asked for Phone Number |
|------------------|----------|----------|------------------------|
| Linux            | Firefox  | India    | Yes                    |
| Windows          | Firefox  | India    | Yes                    |
| Windows          | Firefox  | Europe   | Yes                    |
| Linux            | Chrome   | India    | No                     |
| Windows          | Chrome   | India    | No                     |
| Windows          | Chrome   | Europe   | No                     |

So, to sum up, if we were using Firefox, we were forced to enter phone number. If we were using Google Chrome, we were not.
